Name:    ksysguard
Version: 5.22.0
Release:    1%{?dist}
Summary: KDE Process Management application

License: GPLv2
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{name}/%{version}/%{name}-%{version}.tar.xz

Patch0:        0001-lmsensors_fix_buffer_size_passed_to_snprintf.patch

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: libksysguard-devel >= %{majmin_ver}

BuildRequires: kf5-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Solid)
BuildRequires: cmake(KF5WindowSystem)

BuildRequires: cmake(KF5NetworkManagerQt)

BuildRequires: cmake(Qt5Widgets)

BuildRequires:  libnl3-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  pkgconfig(libpcap)

Requires:       ksysguardd = %{version}-%{release}
Requires:       ksystemstats >= %{majmin_ver}

Provides:  ksysguard-libs = %{version}-%{release}
Provides:  ksysguard-plugins = %{version}-%{release}

Provides:  ksysguard-backend = %{version}-%{release}

%description
%{summary}.


%package -n   ksysguardd
Summary: Performance monitor daemon
Conflicts: %{name} < 5.21.1-2

%description -n ksysguardd
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang ksysguard5 --with-html --with-qt --all-name


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.ksysguard.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.ksysguard.desktop


%files -f ksysguard5.lang
%license COPYING*
%doc README
%{_kf5_bindir}/ksysguard
%{_kf5_datadir}/ksysguard/
%{_kf5_metainfodir}/org.kde.ksysguard.appdata.xml
%{_kf5_datadir}/knsrcfiles/ksysguard.knsrc
%{_kf5_datadir}/applications/org.kde.ksysguard.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/*
%{_kf5_datadir}/knotifications5/ksysguard.notifyrc
%{_kf5_datadir}/kxmlgui5/ksysguard/

%files -n ksysguardd
%license COPYING
%config %{_sysconfdir}/ksysguarddrc
%{_kf5_bindir}/ksysguardd


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.22.0-1
- initial build
